The package rpms/nodejs-conventional-changelog.git has added or updated architecture
specific content in its
spec file (ExclusiveArch/ExcludeArch or %ifarch/%ifnarch) in commit(s):
https://src.fedoraproject.org/cgit/rpms/nodejs-conventional-changelog.git....
Change:
+ExclusiveArch: %{ix86} x86_64 %{arm} noarch
Thanks.
Full change:
============
commit 5dcaa05e766dcce01e7255bb030b68ed715dd7df
Author: Jared Smith <jsmith(a)fedoraproject.org>
Date: Thu May 24 10:14:22 2018 -0400
Initial packaging
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..1bbc3a6
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,2 @@
+/conventional-changelog-1.1.24.tgz
+/conventional-changelog-tests-1.1.24.tar.bz2
diff --git a/README.md b/README.md
deleted file mode 100644
index 39d321c..0000000
--- a/README.md
+++ /dev/null
@@ -1,3 +0,0 @@
-# nodejs-conventional-changelog
-
-'Generate a changelog from git metadata'
\ No newline at end of file
diff --git a/dl-tests.sh b/dl-tests.sh
new file mode 100644
index 0000000..36f13ab
--- /dev/null
+++ b/dl-tests.sh
@@ -0,0 +1,131 @@
+#!/bin/bash
+
+tag=$(sed -n 's/^Version:\s\(.*\)$/\1/p' ./*.spec | sed -e
's/^[[:space:]]*//' -e 's/[[:space:]]*$//')
+url=$(sed -n 's/^URL:\s\(.*\)$/\1/p' ./*.spec | sed -e
's/^[[:space:]]*//' -e 's/[[:space:]]*$//')
+pkgdir=$(basename $url | sed -s 's/\.git$//')
+
+echo "tag: $tag"
+echo "URL: $url"
+echo "pkgdir: $pkgdir"
+
+set -e
+
+tmp=$(mktemp -d)
+
+trap cleanup EXIT
+cleanup() {
+ echo Cleaning up...
+ set +e
+ [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
+}
+
+unset CDPATH
+pwd=$(pwd)
+
+pushd "$tmp"
+git clone $url
+cd $pkgdir
+echo Finding git tag
+gittag=$(git show-ref --tags | cut -d' ' -f2 | grep "${tag}$" || git
show-ref --tags | cut -d' ' -f2 | sort -Vr | head -n1)
+if [ -z $gittag ]; then
+ gittag=refs/master
+fi
+echo "Git Tag: $gittag"
+if [ -d "test" ]; then
+ git archive --prefix='test/' --format=tar ${gittag}:test/ \
+ | bzip2 > "$pwd"/tests-${tag}.tar.bz2
+elif [ -d "tests" ]; then
+ git archive --prefix='tests/' --format=tar ${gittag}:tests/ \
+ | bzip2 > "$pwd"/tests-${tag}.tar.bz2
+elif [ -d "spec" ]; then
+ git archive --prefix='spec/' --format=tar ${gittag}:spec/ \
+ | bzip2 > "$pwd"/tests-${tag}.tar.bz2
+else
+ echo "No test directory found for tag ${gittag}"
+fi
+if [ -d "support" ]; then
+ git archive --prefix='support/' --format=tar ${gittag}:support/ \
+ | bzip2 > "$pwd"/support-${tag}.tar.bz2
+fi
+if [ -d "fixture" ]; then
+ git archive --prefix='fixture/' --format=tar ${gittag}:fixture/ \
+ | bzip2 > "$pwd"/fixture-${tag}.tar.bz2
+fi
+if [ -d "examples" ]; then
+ git archive --prefix='examples/' --format=tar ${gittag}:examples/ \
+ | bzip2 > "$pwd"/examples-${tag}.tar.bz2
+elif [ -d "example" ]; then
+ git archive --prefix='example/' --format=tar ${gittag}:example/ \
+ | bzip2 > "$pwd"/examples-${tag}.tar.bz2
+fi
+if [ -d "tasks" ]; then
+ git archive --prefix='tasks/' --format=tar ${gittag}:tasks/ \
+ | bzip2 > "$pwd"/tasks-${tag}.tar.bz2
+fi
+if [ -d "docs" ]; then
+ git archive --prefix='docs/' --format=tar ${gittag}:docs/ \
+ | bzip2 > "$pwd"/docs-${tag}.tar.bz2
+elif [ -d "doc" ]; then
+ git archive --prefix='doc/' --format=tar ${gittag}:doc/ \
+ | bzip2 > "$pwd"/docs-${tag}.tar.bz2
+fi
+if [ -d "src" ]; then
+ git archive --prefix='src/' --format=tar ${gittag}:src/ \
+ | bzip2 > "$pwd"/src-${tag}.tar.bz2
+elif [ -d "source" ]; then
+ git archive --prefix='source/' --format=tar ${gittag}:source/ \
+ | bzip2 > "$pwd"/source-${tag}.tar.bz2
+fi
+if [ -d "tools" ]; then
+ git archive --prefix='tools/' --format=tar ${gittag}:tools/ \
+ | bzip2 > "$pwd"/tools-${tag}.tar.bz2
+fi
+if [ -d "scripts" ]; then
+ git archive --prefix='scripts/' --format=tar ${gittag}:scripts/ \
+ | bzip2 > "$pwd"/scripts-${tag}.tar.bz2
+fi
+if [ -d "modules" ]; then
+ git archive --prefix='modules/' --format=tar ${gittag}:modules/ \
+ | bzip2 > "$pwd"/modules-${tag}.tar.bz2
+fi
+if [ -d "ts" ]; then
+ git archive --prefix='ts/' --format=tar ${gittag}:ts/ \
+ | bzip2 > "$pwd"/ts-${tag}.tar.bz2
+fi
+if [ -d "build" ]; then
+ git archive --prefix='build/' --format=tar ${gittag}:build/ \
+ | bzip2 > "$pwd"/build-${tag}.tar.bz2
+fi
+if [ -d "fixtures" ]; then
+ git archive --prefix='fixtures/' --format=tar ${gittag}:fixtures/ \
+ | bzip2 > "$pwd"/fixtures-${tag}.tar.bz2
+fi
+if [ -d "mocks" ]; then
+ git archive --prefix='mocks/' --format=tar ${gittag}:mocks/ \
+ | bzip2 > "$pwd"/mocks-${tag}.tar.bz2
+fi
+if [ -d "typings" ]; then
+ git archive --prefix='typings/' --format=tar ${gittag}:typings/ \
+ | bzip2 > "$pwd"/typings-${tag}.tar.bz2
+fi
+if [ -d "templates" ]; then
+ git archive --prefix='templates/' --format=tar ${gittag}:templates/ \
+ | bzip2 > "$pwd"/templates-${tag}.tar.bz2
+fi
+if [ -d "benchmark" ]; then
+ git archive --prefix='benchmark/' --format=tar ${gittag}:benchmark/ \
+ | bzip2 > "$pwd"/benchmark-${tag}.tar.bz2
+fi
+if [ -d "vendor" ]; then
+ git archive --prefix='vendor/' --format=tar ${gittag}:vendor/ \
+ | bzip2 > "$pwd"/vendor-${tag}.tar.bz2
+fi
+if [ -d "packages" ]; then
+ git archive --prefix='packages/' --format=tar ${gittag}:packages/ \
+ | bzip2 > "$pwd"/packages-${tag}.tar.bz2
+fi
+if [ -d "rollup" ]; then
+ git archive --prefix='rollup/' --format=tar ${gittag}:rollup/ \
+ | bzip2 > "$pwd"/rollup-${tag}.tar.bz2
+fi
+popd
diff --git a/nodejs-conventional-changelog.spec b/nodejs-conventional-changelog.spec
new file mode 100644
index 0000000..7014113
--- /dev/null
+++ b/nodejs-conventional-changelog.spec
@@ -0,0 +1,90 @@
+%{?nodejs_find_provides_and_requires}
+
+%global packagename conventional-changelog
+# Tests are failing in mock/koji
+%global enable_tests 0
+
+Name: nodejs-conventional-changelog
+Version: 1.1.24
+Release: 1%{?dist}
+Summary: Generate a changelog from git metadata
+
+License: MIT
+URL:
https://github.com/conventional-changelog/conventional-changelog.git
+Source0:
https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
+# The test files are not included in the npm tarball.
+# Source{1-9} are generated by running Source10, which pulls from the upstream
+# version control repository.
+Source1: %{packagename}-tests-%{version}.tar.bz2
+Source10: dl-tests.sh
+
+
+BuildArch: noarch
+ExclusiveArch: %{ix86} x86_64 %{arm} noarch
+
+BuildRequires: nodejs-packaging
+
+BuildRequires: npm(conventional-changelog-angular)
+BuildRequires: npm(conventional-changelog-atom)
+BuildRequires: npm(conventional-changelog-codemirror)
+BuildRequires: npm(conventional-changelog-core)
+BuildRequires: npm(conventional-changelog-ember)
+BuildRequires: npm(conventional-changelog-eslint)
+BuildRequires: npm(conventional-changelog-express)
+BuildRequires: npm(conventional-changelog-jquery)
+BuildRequires: npm(conventional-changelog-jshint)
+BuildRequires: npm(conventional-changelog-preset-loader)
+%if 0%{?enable_tests}
+BuildRequires: mocha
+BuildRequires: npm(chai)
+BuildRequires: npm(shelljs)
+%endif
+
+%description
+Generate a changelog from git metadata
+
+
+%prep
+%autosetup -n package
+# setup the tests
+%autosetup -T -D -a 1 -n package
+
+%nodejs_fixdep chai
+%nodejs_fixdep conventional-changelog-jquery '^1.3.8'
+%nodejs_fixdep mocha
+
+
+%build
+# nothing to do
+
+%install
+mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
+cp -pr package.json index.js \
+ %{buildroot}%{nodejs_sitelib}/%{packagename}
+
+%nodejs_symlink_deps
+
+%check
+%nodejs_symlink_deps --check
+%{__nodejs} -e 'require("./")'
+%if 0%{?enable_tests}
+NODE_ENV=test %{_bindir}/mocha -R spec
+%else
+%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
+%endif
+
+%files
+%{!?_licensedir:%global license %doc}
+%doc *.md
+%license LICENSE.md
+%{nodejs_sitelib}/%{packagename}
+
+%changelog
+* Mon May 21 2018 Jared K. Smith <jsmith(a)fedoraproject.org> - 1.1.24-1
+- Update to upstream 1.1.24 release
+
+* Tue Mar 27 2018 jsmith <jsmith.fedora(a)gmail.com> - 1.1.22-1
+- Update to upstream 1.1.22 release
+
+* Wed Feb 21 2018 Jared Smith <jsmith(a)fedoraproject.org>
+-
diff --git a/sources b/sources
new file mode 100644
index 0000000..e139b6e
--- /dev/null
+++ b/sources
@@ -0,0 +1,2 @@
+SHA512 (conventional-changelog-1.1.24.tgz) =
d9671252cb78637678847be8313597309aff0e681574b88c39563529a9362df173f86233d8a0e9e676aa6c57ac61b7d73e6699e69e3dd5d3b4156648268270d5
+SHA512 (conventional-changelog-tests-1.1.24.tar.bz2) =
5c0240fcfe971728966e9ac862002de664c75e0e021b06f2191c33f199e982d961dcdd0051c031c62e0eff6ff055bae6d8ed834ab416a60c8fb79781eaa0ecf1